| OpenCV 4.3.0 Open Source Computer Vision

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::CvLBPEvaluator Class Reference
Tracking API

`#include <opencv2/tracking/feature.hpp>`

Inheritance diagram for cv::CvLBPEvaluator:

## Classes
class | Feature

## Public Member Functions
virtual | ~CvLBPEvaluator () CV_OVERRIDE
virtual void | init (const CvFeatureParams *_featureParams, int _maxSampleCount, Size _winSize) CV_OVERRIDE
virtual float | operator() (int featureIdx, int sampleIdx) CV_OVERRIDE
virtual void | setImage (const Mat &img, uchar clsLabel, int idx) CV_OVERRIDE
virtual void | writeFeatures (FileStorage &fs, const Mat &featureMap) const CV_OVERRIDE
Public Member Functions inherited from cv::CvFeatureEvaluator
virtual | ~CvFeatureEvaluator ()
const Mat & | getCls () const
float | getCls (int si) const
int | getFeatureSize () const
int | getMaxCatCount () const
int | getNumFeatures () const

## Protected Member Functions
virtual void | generateFeatures () CV_OVERRIDE

## Protected Attributes
std::vector< Feature > | features
Mat | sum
Protected Attributes inherited from cv::CvFeatureEvaluator
Mat | cls
CvFeatureParams * | featureParams
int | nneg
int | npos
int | numFeatures
Size | winSize

## Additional Inherited Members
Static Public Member Functions inherited from cv::CvFeatureEvaluator
static Ptr< CvFeatureEvaluator > | create (CvFeatureParams::FeatureType type)

## Constructor & Destructor Documentation

## ◆ ~CvLBPEvaluator()

virtual cv::CvLBPEvaluator::~CvLBPEvaluator | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ generateFeatures()

virtual void cv::CvLBPEvaluator::generateFeatures | ( |  | ) |
| protected virtual

Implements cv::CvFeatureEvaluator.

## ◆ init()

virtual void cv::CvLBPEvaluator::init | ( | const CvFeatureParams * | _featureParams,
|  | int | _maxSampleCount,
|  | Size | _winSize
| ) |  |
| virtual

Reimplemented from cv::CvFeatureEvaluator.

## ◆ operator()()

virtual float cv::CvLBPEvaluator::operator() | ( | int | featureIdx,
|  | int | sampleIdx
| ) |  |
| inline virtual

Implements cv::CvFeatureEvaluator.

## ◆ setImage()

virtual void cv::CvLBPEvaluator::setImage | ( | const Mat & | img,
|  | uchar | clsLabel,
|  | int | idx
| ) |  |
| virtual

Reimplemented from cv::CvFeatureEvaluator.

## ◆ writeFeatures()

virtual void cv::CvLBPEvaluator::writeFeatures | ( | FileStorage & | fs,
|  | const Mat & | featureMap
| ) |  | const
| virtual

Implements cv::CvFeatureEvaluator.

## Member Data Documentation

## ◆ features

std::vector<Feature> cv::CvLBPEvaluator::features
| protected

## ◆ sum

Mat cv::CvLBPEvaluator::sum
| protected

The documentation for this class was generated from the following file:

- opencv2/tracking/feature.hpp